|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QFocusEvent Class Reference
[QtGui module]

The QFocusEvent class contains event parameters for widget focus events. More...

     #include <QFocusEvent>

Inherits QEvent.

- List of all members, including inherited members
- Qt 3 support members

### Public Functions

- QFocusEvent ( Type type, Qt::FocusReason reason = Qt::OtherFocusReason )
- bool gotFocus () const
- bool lostFocus () const
- Qt::FocusReason reason () const

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QFocusEvent class contains event parameters for widget focus events.

Focus events are sent to widgets when the keyboard input focus changes. Focus events occur due to mouse actions, key presses (such as Tab or Backtab), the window system, popup menus, keyboard shortcuts, or other application-specific reasons. The reason for a particular focus event is returned by reason() in the appropriate event handler.

The event handlers QWidget::focusInEvent() and QWidget::focusOutEvent() receive focus events.

See also QWidget::setFocus(), QWidget::setFocusPolicy(), and Keyboard Focus.

## Member Function Documentation

### QFocusEvent::QFocusEvent ( Type type, Qt::FocusReason reason = Qt::OtherFocusReason )

Constructs a focus event object.

The type parameter must be either QEvent::FocusIn or QEvent::FocusOut. The reason describes the cause of the change in focus.

### bool QFocusEvent::gotFocus () const

Returns true if type() is QEvent::FocusIn; otherwise returns false.

### bool QFocusEvent::lostFocus () const

Returns true if type() is QEvent::FocusOut; otherwise returns false.

### Qt::FocusReason QFocusEvent::reason () const

Returns the reason for this focus event.